Kerbal Space Program - Bug #4072

LT-5 Micro Landing Strut indestructable
02/14/2015 05:36 PM - BeguiledAardvark

Status: Closed Start date: 02/14/2015
Severity: Very Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.90 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Found this one out while hitting Mun a bit too hard...

KSP Version: .90
What Happens: LT-5 survives heavy impact
Mods / Add-Ons: All Stock

Steps to Replicate:
1) Create a craft and flight like this: http://imgur.com/V7uTOTF

Result: Craft will crash but the LT-5 struts will remain intact

Fixes/Workarounds:
N/A

History

#1 - 03/04/2015 07:45 AM - SoulWager

- Status changed from New to Need More Info

The legs are compressible, so your engine is going to bottom out long before the legs do, and the exploding engine will cushion the fall. The legs
have a couple failure states. damaged(repairable on EVA, the leg won't retract until you fix it), and going poof Going poof happens a lot easier when
the suspension is locked or the legs are already damaged.

Does the issue persist when you offset the legs down as far as they'll go?

| did some drop testing, and the only thing I'd call a bug was occasional clipping through the launchpad on impact. | was able to get a test from 1km
where everything except the capsule was destroyed, and a test from 400m where the engine survived but all 4 landing legs were damaged.

| think a lot of the "what gets damaged" question boils down to the temporal resolution of the physics calculation, because you might just be moving
more than the travel of your legs' suspension in 1 simulation step. That also explains a bit of why kerbals sometimes bounce.

#2 - 03/04/2015 08:15 AM - BeguiledAardvark

| see what you mean by the engine possibly taking the brunt of the impact - however | originally realized this when | impacted Mun with a Lander far
too quickly. The engine did explode but the remaining body (with legs still attached) skipped, bounced and rolled across the surface without
destroying the legs. | can try to build a different rig to test the legs again.

#3 - 11/17/2015 02:27 PM - sal_vager

- Status changed from Need More Info to Resolved
- Severity changed from High to Very Low

- % Done changed from 0 to 100

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

Also, this is not reproducible in 1.0.5
#4 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed
